Subject: ad. Type Circle doesn't work

From: "Dieter.Pfoser" <[email-masked]>
Date: Wed, 1 Feb 1995 13:31:30 +0100 (MET)

A few days ago I placed I mail that I can't get the example type circle 
to work.
I found a solution for this problem.

You have to compile the circle.c file with the option -munaligned-doubles!!!
I used the following statement:

INCLUDE=/usr/local/postgres/src/backend
CC= /usr/local/postgres/bin/gcc

fpdist.so: fpdist.o
	ld -G -Bdynamic -o fpdist.so fpdist.o

fpdist.o: fpdist.c
	$(CC) -g -fPIC -I$(INCLUDE) -munaligned-doubles -c fpdist.c
 
The compiler in this case is the modified gcc 2.5.8.
I also checked it out with gcc 2.6.1 and it works too.

Dieter Pfoser
University of Antwerp, Belgium

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]".
   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================
              URL: http://s2k-ftp.CS.Berkeley.EDU:8000/postgres/